<bugID>1368317<Summary>Sidebar splitter overlaps web content when moving the sidebar to the right</Summary><Description>The sidebar splitter is rendered 1px wide but actually wider to be a viable mouse target. The transparent part of the splitter is supposed to overlap the sidebar rather than the content area, as making part of the web content inaccessible is a no-go.

The splitter being on the right is supposed to be handled by this code:

http://searchfox.org/mozilla-central/rev/596d188f6dbc8cb023e625f0a4310d184875f8fc/browser/themes/shared/sidebar.inc.css#32-37

Since bug 1355331 used the ordinal attribute to move the sidebar, this doesn't work. I would again suggest moving the DOM nodes instead. This has the added benefit of removing a dependency on special XUL features that we may want to get rid of some day.</Description></bugID>